AMON

Okno AMONa lze otevřít kliknutím na ikonu AMON v hlavním okně Control Centra.

Název AMON je složen ze slov „Antivirový MONitor“. Spouští se při startu počítače a pracuje rezidentně v operační paměti. Kontroluje všechny akce, které se dějí v počítači – otevíraní, spouštění a vytváření souborů. Umožňuje zachytit viry přímo při pokusu o spuštění. Bývá označován též jako on-access scanner, tedy testovací modul, který se spouští automaticky při přístupu k souborům. (Jeho doplňkem je NOD32, on-demand scanner, tedy testovací modul, který se spouští na přání uživatele.)
Technicky řečeno, AMON pracuje na úrovni systémového ovladače. Před nainstalováním antivirového systému NOD32 se vykoná kontrola kompatibility s ostatními spuštěnými službami. Skončí-li test v pořádku, AMON se spustí po následujícím restartu počítače.
Automatické spouštění AMONa po každém startu počítače je základem pro odhalení a ochranu před nebezpečnými viry. Není doporučeno vypínat AMON. Tato možnost se využívá pouze ve speciálních / krajních případech. Automatické akce, které bude moci uživatel použít ve varovném okně, můžete nastavit v Bezpečnostní části okna nastavení AMONa.

Důležité upozornění: Není doporučeno používat více antivirových monitorů na jednom systému zároveň. Na počítači mohou být nainstalovány dva (nebo víc) antivirových systémů, ale může být spuštěn pouze jeden antivirový monitor (on-access skener). Závažné problémy mohou nastat hlavně při OS s jádrem Windows NT.

AMON může být ve třech stavech:

  1. Spuštěn v paměti a zapnut – vykonává on-access testování, jeho ikona v Control Centru je modrá. Pouze v tomto stavu funguje ochrana před virovými infiltracemi.
  2. Spuštěn v paměti, ale vypnut – nevykonává on-access testování, jeho ikona v Control Centru je rudá. Lze ho zapnout zaškrtnutím políčka Kontrola aktivní v okně AMON.
  3. Ukončen a vypnut – nenachází se v operační paměti počítače, jeho ikona v Control Centru je šedivá. Lze ho spustit tlačítkem Start v okně AMON.

Popis okna AMON

Hlavní okno AMONa obsahuje informace o počtu testovaných souborů. Je-li AMON zapnut, po každém spuštění nějaké aplikace se tento počet zvyšuje. Následuje počet infikovaných a vyléčených souborů, název posledně testovaného souboru a informace o používané verzi virové databázi (v závorce je datum uvedení této verze).

Kontrola aktivní – zobrazuje, zda je zapnuta rezidentní ochrana. Umožňuje vypnout a znovu zapnout tuto ochranu. Není-li AMON spuštěn v operační paměti, tato funkce je nedostupná. Pro zavedení AMONa do operační paměti stiskněte tlačítko Start.
Nastavení – umožňuje zobrazit a změnit nastavení AMONa.
Stop – ukončí AMON jako systémový ovladač. Nedoporučuje se.
Start – spustí AMON jako systémový ovladač.

V hlavním okně AMONa jsou další užitečné informace. Je zde statistika o počtu skenovaných, infikovaných a vyléčených souborech, jméno posledně nebo právě testovaného souboru, dále pak informace o nainstalované verzi virové databáze a datum uvedení této verze ve formátu: YYYYMMDD (rok-měsíc-den).

K nastavením modulu AMON se dostanete kliknutím na tlačítko Nastavení v hlavním okně AMONa.

Nastavení

Je dostupných pět částí:

  • Detekce
  • Metody
  • Akce
  • Vyloučení
  • Bezpečnost


Amon nastavení - Detekce

Nastavení programu AMON - Detekce

AMON monitoruje akce uživatele a systému, které mohou znamenat nebezpečí. Nedoporučuje se měnit přednastavenou konfiguraci.

Testovat při – umožňuje nastavit akce, při kterých se spustí testování souborů.
Media – umožňuje označit media, která se budou testovat.
Boot sektory testovat při – umožňuje nastavit akce, při kterých se spustí testování boot sektorů (systémových sektorů pevného disku). Testování při shutdownu (korektním vypnutí počítače) je velmi důležité. Zajistí, že systém nebude nahrán z případné infikované diskety zapomenuté v mechanice při startu počítače.
Přípony – zobrazí dialog se seznamem přípon testovaných souborů.

Vzhledem k tomu, že je AMON stále aktivní - rezidentní antivirový skener monitoruje všechny potenciálně nebezpečné akce vykonávány buď systémem nebo uživatelem.


Amon nastavení - Metody

Nastavení programu AMON - Metody

Modul AMON používá dvě metody testování souborů:

Vzorky – detekce virů pomocí vyhledávání vzorků z virové databáze.
Heuristika – algoritmus vyhledávající viry pomocí analýzy činnosti programu.

Doporučuje se používat obě metody zároveň, aby se zajistila maximální a přesná detekce virů.
Citlivost heuristiky je optimalizována na úroveň Standardní. Při použití hloubkové heuristiky se zvyšuje riziko falešných poplachů.


Amon nastavení - Akce

Nastavení programu AMON - Akce

Záložka Akce umožňuje zvolit akci, která se má vykonat po zjištění viru modulem AMON.

Blokovat přístup a zobrazit varovný panel – po nalezení viru se zablokuje přístup k napadenému souboru a objeví se varovné okno. V tomto okně si uživatel vybere akci, která se má vykonat. Seznam nabídnutých akcí lze podrobněji nastavit v záložce Bezpečnost.
Pouze zablokovat přístup – po nalezení viru se zablokuje přístup k napadenému souboru, takže ho žádná aplikace nemůže otevřít a ani se nemůže spustit jako program.
Automaticky léčit – po nalezení viru se antivirový systém pokusí vyléčit napadený soubor (odstranit z něho virus). Nepodaří-li se soubor vyléčit, zablokuje se k němu přístup.
Před léčením uložit do karantény – je-li zaškrtnuto, napadené soubory se automaticky umístí do karantény . Toto umožní uchovat si zároveň napadenou i vyléčenou verzi souboru. Adresář s virovou karanténou lze změnit v nastaveních Control Centra v záložce Rozšířené.

Standardní umístění adresáře s virovou karanténou je:

C:\Program Files\Eset\infected.


Amon nastavení - Vyloučení

Nastavení programu AMON - Vyloučení

Záložka Vyloučení umožňuje nastavit soubory, adresáře a boot sektory, které nemají být testovány. Za běžných okolností se nedoporučuje používat tuto možnost.
Postup na vyloučení objektu z testování modulem AMON:

  • Klikněte Přidat.
  • Zadejte cestu k požadovanému objektu, nebo použijte k zadání tlačítka Adresář/Soubor.
  • Označte, zda se má přidat objekt do seznamu trvale nebo dočasně vyloučených objektů.

Přidáte-li soubor/adresář do seznamu dočasně vyloučených objektů z testování, vyloučení se projeví po následujícím restartu počítače nebo se zruší po manuálním odstranění ze seznamu.
Standardní – zruší všechna vyloučení.


Amon: Nastavení - Bezpečnost

Nastavení programu AMON - Bezpečnost

V záložce Bezpečnost můžete nastavit základní činnosti modulu AMON.

Ve skupině zaškrtávacích políček (to znamená, že jednotlivé volby je možno nastavit nezávisle na sobě - vzájemně se neovlivňují) Akce povolené ve varovném okně najdeme seznam činností, které program může nabídnout uživateli při nalezení virové infiltrace v případě, že je zapnuta implicitní volba blokovat přístup a zobrazit varovný panel s možností výběru akce v záložce Akce. Jsou to tyto možnosti:

  • Léčení
    napadený soubor bude vyléčen (tj. bude zbaven části, která by jinak aktivovala virus) - bude k dispozici pouze v případech, kdy program dokáže napadený soubor úspěšně vyléčit.
  • Smazání
    napadený soubor bude smazán, takže případný virus bude zneškodněn.Tuto akci zvolte pouze v případech, kdy soubor nelze léčit, popřípadě představuje přímou infiltraci (např. tělo červa). Alternativou může být i případ, kdy jde o soubor, jehož ztrátu můžete přežít. V každém případě může být užitečné, pokud máte nastaveno automatické ukládání do karantény v záložce Akce.
  • Přejmenování
    Napadený soubor bude přejmenován tak, že jeho pří pona bude změněna na takovou, která znemožní jeho další automatickou aktivaci (ze spustitelného programu vytvoří obyčejný datový soubor).
  • Vyloučení
    Soubor, na který bude aplikována tato akce bude z dalšího upozorňování na skutečnost, že jde o napadený virovou infiltrací, vyloučen. Aplikace tak k němu budou mít plný přístup. Tuto volbu vybírejte opravdu pouze v případech, kdy jste si absolutně jisti, že nejde o skutečnou nákazu (např. skenování heuristickou metodou někdy může považovat za virus i soubor, který je ve skutečnosti v pořádku, ale vykonává některé činnosti, které vyvolávají podezření).
  • Nahrazení
    Tato akce se může nabídnout v případě napadeného zaváděcího (boot) sektoru diskety, kdy je možno tuto oblast nahradit standardním kódem.

Samostatné zaškrtávací políčko Automatický start rezidentní ochrany povolen zabezpečuje automatický start programu Amon při spuštění počítače. Tuto volbu je možné aktivovat už při samotné instalaci systému. Pokud se rozhodnete o pozdější aktivaci, toto je místo, kde tak můžete učinit.

Automatickým spuštěním rezidentní ochrany zabezpečíte ochranu Vašeho počítače při každém možném pokusu o jeho nakažení, což není možné zabezpečit ani samostatným spouštěním s keneru NOD32 ani sporadickým spouštěním rezidentní ochrany . Dodatečné léčení následků infiltrace nemusí být vždy k plné spokojenosti a případné ztracené data už nikdo vrátit nedokáže. Jelikož rezidentní ochrana neustále sleduje Váš počítač a přitom zabírá jen minimum systémových prostředků (takže její činnost neovlivňuje výkon počítače) je nastavení této volby výrazně doporučeno.

POZOR: Pokud se na počítači vyskytují dva rezidentní antivirové moduly (dva antiviry), může dojít k vzájemné kolizi. Před zapnutím automatického startu systému se přesvědčte, zda na počítači nemáte nainstalován a spuštěn jiný rezidentní antivirus !


Editor přípon

Editor přípon slouží pouze pro výjimečné případy a nedoporučuje se měnit jeho nastavení, pokud nejste pokročilý uživatel. Odstraněním některé z přednastavených přípon zabraňujete antivirové ochraně kontrolovat potenciálně nebezpečné soubory a můžete tak způsobit infikování Vašeho počítače. Naopak, přidáváním nadbytečných přípon nebo zaškrtnutím možnosti Testovat všechny soubory zpomalíte činnost Vašeho počítače. Seznamy testovaných přípon v případě potřeby ihned aktualizujeme.

Hlavní část okna tvoří seznam testovaných přípon. Navigaci v seznamu zajišťuje pohyblivá lišta v pravé části seznamu. Příponu označíte kliknutím. Otazník („?“) v příponě znamená libovolný znak, hvězdička („*“) znamená libovolnou posloupnost znaků.

Potvrdit– potvrdí změny vykonané v seznamu přípon a ukončí dialog.
Zrušit – ukončí dialog bez vykonání nastavených změn.
Přidej – umožní přidat novou příponu do seznamu pomocí speciálního dialogu.
Odstranit – odstraní příponu ze seznamu.
Standardní - obnoví standardní nastavení.
Testovat soubory bez přípon – je-li toto políčko zaškrtnuto, budou testovány také soubory bez přípony.
Testovat všechny soubory – po zaškrtnutí tohoto políčka se změní strategie výběru přípon. Editor přípon bude zobrazovat přípony, které se nemají testovat.


Přidání nové přípony

Je potřeba zadat příponu a potvrdit ji tlačítkem Potvrdit.
V názvu přípony je možné využít zvláštní znaky: otazník („?“) a hvězdičku („*“). Otazník představuje libovolný znak, takže například „OV?“ znamená všechny třípísmenné přípony začínající písmeny OV. Hvězdička představuje libovolnou posloupnost znaků, takže například „A*“ znamená všechny přípony začínající písmenem A, včetně samotného písmena A.
Testování souborů bez přípony zajistíme zrušením tohoto dialogu a v editoru přípon zaškrtnutím políčka Testovat soubory bez přípony.


Přidání nové přípony

Zadejte příponu a potvrďte tlačítkem Potvrdit
U názvu přípony můžete využít zvláštních znaků : otazník („?“) a hvězdičku („*“). Otazník představuje libovolný znak, takže například „OV?“ znamená všechny troj-písmenné přípony začínající písmeny OV. Hvězdička představuje libovolnou posloupnost znaků, takže například „A*“ znamená všechny přípony začínající písmenem A, včetně samotného písmena A.
Testování souborů bez přípon zadáte tak, že zrušíte tento dialog a v editoru přípon zaškrtnete políčko Testovat soubory bez přípony.


Editor přípon

Editor přípon slouží pouze pro zvláštní případy a nedoporučuje se měnit jeho nastavení, pokud nejste pokročilý uživatel. Odstraněním některé z přednastavených přípon zabraňujete antivirové ochraně kontrolovat potenciálně nebezpečné soubory a můžete tak způsobit infikování Vašeho počítače. Naopak, přidáváním nadbytečných přípon nebo zaškrtnutím možnosti Testovat všechny soubory zpomalíte činnost Vašeho počítače. Seznamy testovaných přípon v případě potřeby ihned aktualizujeme.

Hlavní část okna tvoří seznam testovaných přípon. Navigaci v seznamu zajišťuje pohyblivá lišta v pravé části seznamu. Příponu označíte kliknutím. Otazník („?“) v příponě znamená libovolný znak, hvězdička („*“) znamená libovolnou posloupnost znaků.

Potvrdit– potvrdí změny vykonané v seznamu přípon a ukončí dialog.
Zrušit – ukončí dialog bez vykonání nastavených změn.
Přidej – umožní přidat novou příponu do seznamu pomocí speciálního dialogu.
Odstranit – odstraní příponu ze seznamu.
Standardní - obnoví standardní nastavení.
Testovat soubory bez přípon – je-li toto políčko zaškrtnuto, budou testovány také soubory bez přípony.
Testovat všechny soubory – po zaškrtnutí tohoto políčka se změní strategie výběru přípon. Editor přípon bude zobrazovat přípony, které se nemají testovat.